Summary: A collection of basic system utilities.
Name: util-linux
Version: 2.10h
Release: 1mdk
Copyright: distributable
Group: System/Base
Source0: ftp://ftp.win.tue.nl/pub/linux/utils/util-linux/util-linux-%{version}.tar.bz2
Source1: util-linux-2.7-login.pamd
Source2: util-linux-2.7-chfn.pamd
Source3: util-linux-2.7-chsh.pamd
Source4: util-linux-2.9w-kbdrate.pamd
Source5: util-linux-2.9w-kbdrate.apps

Patch0: util-linux-2.10c-rhconfig.patch.bz2
Patch1: util-linux-2.10e-nochkdupexe.patch.bz2
Patch2: util-linux-2.7-gecos.patch.bz2
# XXX apply next patch to enable mount-2.8 from util-linux (not applied)
Patch4: util-linux-2.9i-mount.patch.bz2
Patch6: util-linux-2.9i-fdiskwarning.patch.bz2
Patch8: util-linux-2.9i-nomount.patch.bz2
Patch11: util-linux-2.9o-btmp.patch.bz2
Patch13: util-linux-2.10h-openlog.patch.bz2
Patch17: util-linux-2.9w-newmail.patch.bz2
Patch21: util-linux-2.9v-nonroot.patch.bz2
Patch23: util-linux-2.9w-kbdrate.patch.bz2
Patch32: clock-1.1-ppc.patch.bz2

Obsoletes: fdisk tunelp
%ifarch alpha sparc sparc64 ppc
Obsoletes: clock
%endif
%ifarch
Conflicts: initscripts <= 4.58, timeconfig <= 3.0.1
%endif

BuildRoot: /var/tmp/%{name}-root
Requires: pam >= 0.66-4, kernel >= 2.2.12-7
BuildRequires: ncurses-devel

%description
The util-linux package contains a large variety of low-level system
utilities that are necessary for a Linux system to function.  Among
many features, Util-linux contains the fdisk configuration tool and
login program.

%prep

%setup -q

%patch0 -p1 -b .rhconfig
%patch1 -p1 -b .nochkdupexe
%patch2 -p1 -b .gecos
%patch6 -p1 -b .fdiskwarning
%patch8 -p1 -b .nomount
%patch11 -p1 -b .btmp
%patch13 -p1 -b .openlog
%patch21 -p1 -b .nonroot
%patch23 -p1 -b .kbdrate

%ifarch ppc
%patch32 -p1 -b .ppc
%endif

%build
unset LINGUAS || :
./configure
make "RPM_OPT_FLAGS=$RPM_OPT_FLAGS"

# Be carrefull to compile with last glibc from cvs or you may want to
# lost 1/2 hour to adapt linux/raw.h :-\
pushd rescuept/ && gcc $RPM_OPT_FLAGS -o rescuept rescuept.c && popd

%ifarch ppc
gcc -i clock-ppc.c -o clock-ppc
%endif

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{bin,etc/pam.d,sbin}
mkdir -p $RPM_BUILD_ROOT/usr/{bin,info,lib,man/man1,man/man6,man/man8,sbin}
mkdir -p $RPM_BUILD_ROOT/usr/share/locale/{cs,de,fr,it,ja,nl,pt_BR}/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/etc/security/console.apps

make install DESTDIR=$RPM_BUILD_ROOT

%ifarch sparc sparc64
rm -rf $RPM_BUILD_ROOT/usr/bin/sunhostid
cat << E-O-F > $RPM_BUILD_ROOT/usr/bin/sunhostid
#!/bin/sh
# this should be /usr/bin/sunhostid or somesuch.
# Copyright 1999 Peter Jones, <pjones@redhat.com> .  
# GPL and all that good stuff apply.
(
idprom=\`cat /proc/openprom/idprom\`
echo \$idprom|dd bs=1 skip=2 count=2
echo \$idprom|dd bs=1 skip=27 count=6
echo
) 2>/dev/null
E-O-F
chmod 755 $RPM_BUILD_ROOT/usr/bin/sunhostid
%endif

install -m755 rescuept/rescuept $RPM_BUILD_ROOT/usr/sbin/
cp rescuept/README README.rescuept

%ifnarch armv4l
for i in /bin/login /usr/bin/chfn /usr/bin/chsh /usr/bin/newgrp ; do
	strip $RPM_BUILD_ROOT/$i
done
%endif

strip $RPM_BUILD_ROOT/sbin/fdisk || :

install -m 644 ${RPM_SOURCE_DIR}/util-linux-2.7-login.pamd $RPM_BUILD_ROOT/etc/pam.d/login
install -m 644 ${RPM_SOURCE_DIR}/util-linux-2.7-chsh.pamd $RPM_BUILD_ROOT/etc/pam.d/chsh
install -m 644 ${RPM_SOURCE_DIR}/util-linux-2.7-chsh.pamd $RPM_BUILD_ROOT/etc/pam.d/chfn
install -m 644 ${RPM_SOURCE_DIR}/util-linux-2.9w-kbdrate.pamd $RPM_BUILD_ROOT/etc/pam.d/kbdrate
install -m 644 ${RPM_SOURCE_DIR}/util-linux-2.9w-kbdrate.apps $RPM_BUILD_ROOT/etc/security/console.apps/kbdrate
(cd $RPM_BUILD_ROOT/usr/bin ; ln -s consolehelper kbdrate)

%ifnarch ppc
rm -f $RPM_BUILD_ROOT/sbin/clock
ln -s hwclock $RPM_BUILD_ROOT/sbin/clock
%else
rm -f $RPM_BUILD_ROOT/sbin/clock
rm -f $RPM_BUILD_ROOT/sbin/hwclock
cp $RPM_BUILD_DIR/%{name}-%{version}/clock-ppc $RPM_BUILD_ROOT/sbin/clock
ln -s clock $RPM_BUILD_ROOT/sbin/hwclock
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/share/locale/*/LC_MESSAGES/*

/sbin/clock
/sbin/hwclock
/usr/man/man8/hwclock.8*

%config /etc/pam.d/login
%config /etc/pam.d/chfn
%config /etc/pam.d/chsh

%config /etc/pam.d/kbdrate
%config /etc/security/console.apps/kbdrate
/usr/bin/kbdrate

/sbin/fdisk
%ifarch alpha armv4l k6 i386 i486 i586 i686 k6 k7
/sbin/cfdisk
%endif

%ifarch i386 i486 i586 i686 k6 k7 alpha ppc
/sbin/fsck.minix
/sbin/mkfs.minix
%endif

/usr/bin/raw
/usr/man/man8/raw.8*

/sbin/mkfs
/sbin/mkswap

/usr/bin/fdformat
/usr/bin/setfdprm
%config /etc/fdprm

/usr/man/man8/fdformat.8*
/usr/man/man8/mkswap.8*
/usr/man/man8/setfdprm.8*

/usr/games/banner
/usr/man/man6/banner.6*

/usr/bin/ddate
/usr/man/man1/ddate.1*

%ifarch alpha sparc sparc64 i386 i486 i586 i686 k6 k7 ppc
%attr(755,root,root)	/bin/login
%attr(4711,root,root)	/usr/bin/chfn
%attr(4711,root,root)	/usr/bin/chsh
%attr(4711,root,root)	/usr/bin/newgrp
/usr/sbin/vipw
/usr/sbin/vigr
/usr/man/man1/chfn.1*
/usr/man/man1/chsh.1*
/usr/man/man1/login.1*
/usr/man/man1/newgrp.1*
/usr/man/man8/vipw.8*
/usr/man/man8/vigr.8*
%endif

/bin/kill
/usr/bin/cal
%ifarch sparc sparc64
/usr/bin/sunhostid
%endif
/usr/bin/logger
/usr/bin/look
/usr/bin/mcookie
/usr/bin/namei
/usr/bin/script
/usr/bin/setterm
#/usr/bin/tsort
/usr/bin/whereis
%attr(2755,root,tty)	/usr/bin/write
/usr/bin/getopt
/usr/man/man1/cal.1*
#/usr/man/man1/hostid.1*
/usr/man/man1/kill.1*
/usr/man/man1/logger.1*
/usr/man/man1/look.1*
/usr/man/man1/mcookie.1*
/usr/man/man1/namei.1*
/usr/man/man1/script.1*
/usr/man/man1/setterm.1*
#/usr/man/man1/tsort.1*
/usr/man/man1/whereis.1*
/usr/man/man1/write.1*
/usr/man/man1/getopt.1*

/usr/lib/getopt

/bin/dmesg

/sbin/ctrlaltdel
/sbin/kbdrate
#/sbin/sln
/bin/arch
/usr/bin/ipcrm
/usr/bin/ipcs
/usr/bin/renice
/usr/sbin/readprofile
/usr/bin/setsid
%ifarch alpha armv4l i386 i486 i586 i686 k6 k7
/usr/bin/cytune
%endif

/usr/man/man1/arch.1*
/usr/man/man1/readprofile.1*
/usr/man/man8/cytune.8*
/usr/man/man8/ctrlaltdel.8*
/usr/man/man8/dmesg.8*
/usr/man/man8/ipcrm.8*
/usr/man/man8/ipcs.8*
/usr/man/man8/kbdrate.8*
/usr/man/man8/renice.8*
/usr/man/man8/setsid.8*

%ifarch i386 i486 i586 i686 k6 k7
/usr/sbin/rdev
/usr/sbin/ramsize
/usr/sbin/rescuept
/usr/sbin/rootflags
/usr/sbin/swapdev
/usr/sbin/vidmode
/usr/man/man8/rdev.8*
/usr/man/man8/ramsize.8*
/usr/man/man8/rootflags.8*
/usr/man/man8/swapdev.8*
/usr/man/man8/vidmode.8*
%endif

/usr/info/ipc.info*

/usr/bin/col
/usr/bin/colcrt
/usr/bin/colrm
/usr/bin/column
/usr/bin/hexdump
/usr/bin/rev
/usr/bin/ul

/usr/man/man1/col.1*
/usr/man/man1/colcrt.1*
/usr/man/man1/colrm.1*
/usr/man/man1/column.1*
/usr/man/man1/hexdump.1*
/usr/man/man1/rev.1*
/usr/man/man1/ul.1*
/bin/more
/usr/man/man1/more.1*
/usr/lib/more.help

%ifarch alpha i386 i486 i586 i686 k6 k7 ppc
/usr/man/man8/fsck.minix.8*
/usr/man/man8/mkfs.minix.8*
/usr/man/man8/mkfs.8*
%endif

/usr/man/man8/fdisk.8*

%ifarch alpha i386 i486 i586 i686 k6 k7
/sbin/sfdisk
/usr/man/man8/cfdisk.8*
%doc fdisk/sfdisk.examples
%endif

%doc */README.*

%changelog
* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10h-1mdk
- 2.10h.
- Spec-helper cleanup.
- Adjust groups.

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 2.10f-2mdk
- Added PPC support
- Added fix for PowerMac/G3/G4 clock

* Wed Feb 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10f-1mdk
- 2.10f.

* Wed Jan 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10e-1mdk
- Fix multiple files inclusion for alpha and sparc{,64}.
- 2.10e.

* Tue Jan 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.10b-3mdk
- fixed build on sparc.

* Sun Nov 21 1999 Pixel <pixel@mandrakesoft.com>
- add rescuept in %files

* Mon Nov 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.2.10b.

* Wed Nov  3 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.2.10.

* Tue Nov  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix this fu**** %files, references to a archeologic arch(again).

* Mon Oct 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix this fu**** %files, references to a dinosaur arch.
- Merge with (Buggy) RH changes.
- 2.9z

* Tue Sep 28 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 2.9y

* Mon Sep 13 1999 Francis Galigue <francis@mandrakesoft.com>

- Added file /etc/filesystems for i[3-6]86 archs with entry vfat,
  therefore obsoleting the need for modprobe vfat in rc.sysinit

* Sun Aug 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Insert rescuept.

* Tue Aug 24 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 2.9w

* Wed Jul 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.9v

* Mon Jul 11 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 2.9u
- Add french description from Thierry Vignaud <tvignaud@linux-mandrake.com>

* Fri Jul 09 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- update source url
- rebuild under cur env (13mdk)

* Mon Jul  5 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Update to 2.9t
- remove a series of patches - they finally made it to the base.

* Mon May 24 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- fix some %ifarch bugs
- Update to 2.9r

* Tue May 11 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add vigr to the file lists.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale
- enable building mount
- fix handling of RPM_OPT_FLAGS

* Mon Mar 15 1999 Michael Johnson <johnsonm@redhat.com>
- added pam_console.so to /etc/pam.d/login

* Thu Feb  4 1999 Michael K. Johnson <johnsonm@redhat.com>
- .perms patch to login to make it retain root in parent process
  for pam_close_session to work correctly

* Tue Jan 12 1999 Jeff Johnson <jbj@redhat.com>
- strip fdisk in buildroot correctly (#718)

* Mon Jan 11 1999 Cristian Gafton <gafton@redhat.com>
- have fdisk compiled on sparc and arm

* Mon Jan 11 1999 Erik Troan <ewt@redhat.com>
- added beos partition type to fdisk

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- incorporate fdisk on all arches

* Sat Dec  5 1998 Jeff Johnson <jbj@redhat.com>
- restore PAM functionality at end of login (Bug #201)

* Thu Dec 03 1998 Cristian Gafton <gafton@redhat.com>
- patch top build on the arm without PAM and related utilities, for now.
- build hwclock only on intel

* Wed Nov 18 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to version 2.9

* Thu Oct 29 1998 Bill Nottingham <notting@redhat.com>
- build for Raw Hide (slang-1.2.2)
- patch kbdrate wackiness so it builds with egcs

* Tue Oct 13 1998 Erik Troan <ewt@redhat.com>
- patched more to use termcap

* Mon Oct 12 1998 Erik Troan <ewt@redhat.com>
- added warning about alpha/bsd label starting cylinder

* Mon Sep 21 1998 Erik Troan <ewt@redhat.com>
- use sigsetjmp/siglongjmp in more rather then sig'less versions

* Fri Sep 11 1998 Jeff Johnson <jbj@redhat.com>
- explicit attrs for setuid/setgid programs

* Thu Aug 27 1998 Cristian Gafton <gafton@redhat.com>
- sln is now included in glibc

* Sun Aug 23 1998 Jeff Johnson <jbj@redhat.com>
- add cbm1581 floppy definitions (problem #787)

* Mon Jun 29 1998 Jeff Johnson <jbj@redhat.com>
- remove /etc/nologin at end of shutdown/halt.

* Fri Jun 19 1998 Jeff Johnson <jbj@redhat.com>
- add mount/losetup.

* Thu Jun 18 1998 Jeff Johnson <jbj@redhat.com>
- update to 2.8 with 2.8b clean up. hostid now defunct?

* Mon Jun 01 1998 David S. Miller <davem@dm.cobaltmicro.com>
- "more" now works properly on sparc

* Sat May 02 1998 Jeff Johnson <jbj@redhat.com>
- Fix "fdisk -l" fault on mounted cdrom. (prob #513)

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Cristian Gafton <gafton@redhat.com>
- manhattan rebuild

* Mon Dec 29 1997 Erik Troan <ewt@redhat.com>
- more didn't suspend properly on glibc
- use proper tc*() calls rather then ioctl's

* Sun Dec 21 1997 Cristian Gafton <gafton@redhat.com>
- fixed a security problem in chfn and chsh accepting too 
  long gecos fields

* Fri Dec 19 1997 Mike Wangsmo <wanger@redhat.com>
- removed "." from default path

* Tue Dec 02 1997 Cristian Gafton <gafton@redhat.com>
- added (again) the vipw patch

* Wed Oct 22 1997 Michael Fulbright <msf@redhat.com>
- minor cleanups for glibc 2.1

* Fri Oct 17 1997 Michael Fulbright <msf@redhat.com>
- added vfat32 filesystem type to list recognized by fdisk

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- don't build clock on the alpha 
- don't install chkdupexe

* Thu Oct 02 1997 Michael K. Johnson <johnsonm@redhat.com>
- Update to new pam standard.
- BuildRoot.

* Thu Sep 25 1997 Cristian Gafton <gafton@redhat.com>
- added rootok and setproctitle patches
- updated pam config files for chfn and chsh

* Tue Sep 02 1997 Erik Troan <ewt@redhat.com>
- updated MCONFIG to automatically determine the architecture
- added glibc header hacks to fdisk code
- rdev is only available on the intel

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- update to util-linux 2.7, fixed login problems

* Wed Jun 25 1997 Erik Troan <ewt@redhat.com>
- Merged Red Hat changes into main util-linux source, updated package to
  development util-linux (nearly 2.7).

* Tue Apr 22 1997 Michael K. Johnson <johnsonm@redhat.com>
- LOG_AUTH --> LOG_AUTHPRIV in login and shutdown

* Mon Mar 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- Moved to new pam and from pam.conf to pam.d

* Tue Feb 25 1997 Michael K. Johnson <johnsonm@redhat.com>
- pam.patch differentiated between different kinds of bad logins.
  In particular, "user does not exist" and "bad password" were treated
  differently.  This was a minor security hole.
